Summary: Downloader for X that supports resuming and many other features
Name: d4x
Version: 2.5.7.1
Release: 10%{?dist}
Group: Applications/Internet
License: Artistic
URL: http://www.krasu.ru/soft/chuchelo/
Source: http://d4x.krasu.ru/files/d4x-%{version}.tar.gz
Patch0: d4x-2.5.7.1-man.patch
Patch1: d4x-2.5.7.1-desktop.patch
Patch2: d4x-2.5.7.1.makebuild.patch
Patch3: d4x-2.5.7.1-speed.patch
Patch4: d4x-fix-gcc44.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gtk2-devel, libao-devel, openssl-devel
BuildRequires: desktop-file-utils, boost-devel
BuildRequires: libXt-devel libX11-devel

%description
This program lets you download files from the internet using either the ftp
or http protocols. The main features are : Multithread, user-friendly GTK+
interface, resuming, multiple simultaneous downloads, recursive downloads
with wildcard and filter support, HTML links change for offline browsing,
proxy support, bandwidth limitation, scheduling, mass download, ftp search,
and many others!


%prep
%setup -q
%patch0 -p1 -b .man
%patch1 -p1 -b .desktop
%patch2 -p1 -b .makebuild
%patch3 -p1 -b .speed
%patch4 -p1 -b .compile
# Move the desktop file we just patched to the proper name
%{__mv} share/nt.desktop share/d4x.desktop
# Convert some docs to UTF-8, keeping their original timestamps
for file in DOC/FAQ.* NEWS; do
    cp -a ${file} tmp
    iconv -f iso8859-1 -t utf-8 tmp > ${file}
    touch -r tmp ${file}
    rm -f tmp
done


%build
%configure --enable-libao
sed -i "s|^LIBS = |LIBS = -lX11 |g" Makefile
sed -i "s|^LIBS = |LIBS = -lX11 |g" main/Makefile
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
%find_lang %{name}

# Install the menu entry icon
%{__install} -D -p -m 0644 share/nt.png \
    %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/d4x.png

# Now the menu entry
%{__mkdir_p} %{buildroot}%{_datadir}/applications
desktop-file-install \
    --vendor "" \
    --dir %{buildroot}%{_datadir}/applications \
    --add-category Network \
    share/d4x.desktop

# Rename the man page to match the binary name
rename nt.1 d4x.1 %{buildroot}%{_mandir}/man1/nt.1*

# Rename the main binary too, overwriting the "d4x" symlink
%{__mv} -f %{buildroot}%{_bindir}/nt %{buildroot}%{_bindir}/d4x


%clean
%{__rm} -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS PLANS README TODO
%doc DOC/FAQ* DOC/THANKS DOC/TROUBLES
%{_bindir}/d4x
%{_datadir}/applications/d4x.desktop
%{_datadir}/d4x/
%{_datadir}/icons/hicolor/48x48/apps/d4x.png
%{_mandir}/man1/d4x.1*


%changelog
* Sun Jun  3 2012 josef radinger <cheese@nosuchhost.net>
- 2.5.7.1-9
- rebuild

* Sun Feb  3 2008 Matthias Saou <http://freshrpms.net/> 2.5.7.1-8
- Rebuild with the changes from Mon Sep 24 2007 merged back in.
- Replace autoconf run with a few more lines to the makebuild patch.

* Sat Jan  5 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 2.5.7.1-7
- Add patch by Caolan McNamara (#427620) to build against new openssl

* Wed Dec 05 2007 Release Engineering <rel-eng at fedoraproject dot org> - 2.5.7.1-6
 - Rebuild for deps

* Mon Sep 24 2007 Matthias Saou <http://freshrpms.net/> 2.5.7.1-6
- Include patch to fix slow download speeds (#302121).
- Convert doc files to UTF-8.

* Fri Aug 31 2007 Matthias Saou <http://freshrpms.net/> 2.5.7.1-5
- Rebuild for new BuildID feature.
- License is still original Artistic, but this should be fixed shortly.

* Wed Jun 20 2007 Matthias Saou <http://freshrpms.net/> 2.5.7.1-4
- Switch to using the DESTDIR install method.
- Remove old X build requirement conditional.
- Remove vendor prefix and useless Application category from desktop file.
- Patch the man page to s/nt/d4x/.
- Add patch for the desktop entry, minor fixes and search the icon as "d4x".
- Don't include old ChangeLog files.

* Tue Nov 21 2006 Víctor Daniel <bombayvdmo@yahoo.com.mx> 2.5.7.1-3
- Change man page rename to work when compression is set in /etc/man.config.

* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 2.5.7.1-2
- FC6 rebuild.
- Remove gcc-c++ build requirement, it's a default.

* Tue Apr 25 2006 Matthias Saou <http://freshrpms.net/> 2.5.7.1-1
- Update to 2.5.7.1.

* Mon Apr 10 2006 Matthias Saou <http://freshrpms.net/> 2.5.7-1
- Update to 2.5.7.
- Update source URL and s/gz/bz2/ again.
- Add new bost-devel build requirement.
- Enable libao instead of esd and oss.

* Tue Mar 14 2006 Matthias Saou <http://freshrpms.net/> 2.5.6-2
- FC5 rebuild... the build error that kept this rebuild pending was only X
  not being detected by configure (libXt-devel missing) that was not making
  configure exit... because make then failed miserably.

* Wed Nov  2 2005 Matthias Saou <http://freshrpms.net/> 2.5.6-1
- Update to 2.5.6.

* Fri Sep 16 2005 Matthias Saou <http://freshrpms.net/> 2.5.5-1
- Update to 2.5.5.

* Wed Sep  7 2005 Matthias Saou <http://freshrpms.net/> 2.5.4-1
- Update to 2.5.4.

* Fri Sep  2 2005 Matthias Saou <http://freshrpms.net/> 2.5.3-1
- Update to 2.5.3.
- Use bz2 source instead of gz.
- Rename man page from nt to d4x.

* Tue May  3 2005 Matthias Saou <http://freshrpms.net/> 2.5.0-5
- Added gcc4 patch from Debian.

* Mon Feb 14 2005 David Woodhouse <dwmw2@infradead.org> 2.5.0-3
- Fix #elif with no expression in main/sndserv.cc

* Tue Nov 16 2004 Matthias Saou <http://freshrpms.net/> 2.5.0-2
- Bump release to provide Extras upgrade path.

* Mon Aug  9 2004 Matthias Saou <http://freshrpms.net/> 2.5.0-1
- Update to 2.5.0final.

* Wed May 26 2004 Matthias Saou <http://freshrpms.net/> 2.5.0-0.rc4.4
- Update to 2.5.0rc4.

* Mon May 24 2004 Matthias Saou <http://freshrpms.net/> 2.5.0-0.rc3.4
- Added patch for gtk 2.4 compatibility from Den.

* Tue Apr 20 2004 Matthias Saou <http://freshrpms.net/> 2.5.0-0.rc3.3
- Update to 2.5.0rc3.

* Tue Feb 24 2004 Matthias Saou <http://freshrpms.net/> 2.5.0-0.rc2.3
- Update to 2.5.0rc2.

* Fri Nov  7 2003 Matthias Saou <http://freshrpms.net/> 2.5.0-0.beta2.2
- Fix wrong exclude in file list left in by mistake.

* Fri Nov  7 2003 Matthias Saou <http://freshrpms.net/> 2.5.0-0.beta2.1
- Update to 2.5.0beta2.
- Rebuild for Fedora Core 1.

* Mon Mar 31 2003 Matthias Saou <http://freshrpms.net/>
- Update to 2.4.1.
- Exclude the docs from the datadir.
- Rebuilt for Red Hat Linux 9.

* Wed Aug 28 2002 Matthias Saou <http://freshrpms.net/>
- Update to 2.03.

* Thu Jun  6 2002 Matthias Saou <http://freshrpms.net/>
- Update to 2.01.
- Major spec file cleanup.

* Sat Nov 24 2001 Matthias Saou <http://freshrpms.net/>
- Update to 1.30.

* Sun Sep  9 2001 Matthias Saou <http://freshrpms.net/>
- Update to 1.29.

* Mon Aug 13 2001 Matthias Saou <http://freshrpms.net/>
- Update to 1.28.1.

* Wed Aug  1 2001 Matthias Saou <http://freshrpms.net/>
- Update to 1.28.

* Wed May  2 2001 Matthias Saou <http://freshrpms.net/>
- Spec file cleanup for Red Hat 7.1.

* Mon Oct 30 2000 Maxim Koshelev <mdem@chat.ru>
- fixed building under RH-70 or Mandrake-7x

